Page MenuHomeFreeBSD

Use explicitly specified ivsize instead of blocksize, when we mean IV size.
ClosedPublic

Authored by ae on Jan 12 2015, 5:52 PM.

Details

Summary

In r275732 was introduced new field in struct enc_xform ivsize and all
xform definitions were modified by copying blocksize value into ivsize.
Some encryption algorithms can use different IV size and block size,
and in preparation for adding them ESP implementation needs a small modification.

Also set ivsize = 0 in enc_xform_null and remove special handling for them.

Test Plan

Currently it affects nothing. I tested IPsec between patched and unpatched
host - ESP still works.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ae updated this revision to Diff 3126.Jan 12 2015, 5:52 PM
ae retitled this revision from to Use explicitly specified ivsize instead of blocksize, when we mean IV size..
ae updated this object.
ae edited the test plan for this revision. (Show Details)
ae added reviewers: jmg, eri, vanhu.
ae added a reviewer: network.Jan 12 2015, 5:53 PM
eri edited edge metadata.Jan 12 2015, 7:50 PM

Can you please not commit this.
I have a patch which does all of this and more, including using AES-NI for IPsec.

I will submit for review by end of this week.

gnn requested changes to this revision.Jan 12 2015, 8:44 PM
gnn added a reviewer: gnn.
gnn added a subscriber: gnn.

I put this here as a hold until Ermal also puts up his patch.

Ermal, please put up your code for review and put the link to that review in a comment here.

This revision now requires changes to proceed.Jan 12 2015, 8:44 PM
ae added a comment.Jan 27 2015, 3:24 PM

Is there any news?

jmg edited edge metadata.Jun 1 2015, 6:53 PM
In D1503#28407, @ae wrote:

Is there any news?

Well, there is now D2566, which I believe has parts of this change in it, but there is to be an updated patch soon too.

jmg added a comment.Jul 10 2015, 8:21 AM

does rS285336 have all these changes in it?

gnn accepted this revision.Jul 10 2015, 11:38 AM
gnn edited edge metadata.

Time to add this to the mix.

This revision is now accepted and ready to land.Jul 10 2015, 11:38 AM
jmg added a comment.Nov 4 2015, 12:37 AM

has this been tested? This looks good otherwise.

gnn added a comment.Nov 15 2015, 9:37 PM

Bump. Can this be committed?

This revision was automatically updated to reflect the committed changes.